Page MenuHomePhabricator

Pybal should be able to advertise to multiple routers
Closed, ResolvedPublic

Description

Currently, the pybal code and puppetization only supports the concept of a single daemon talking to a single router.

It would be useful in making our failover scenarios more-robust if more than one router address could be configured, e.g. the pybal daemon on lvs1001 could send its BGP advertisements directly to both of cr1-eqiad and cr2-eqiad.

Details

Related Gerrit Patches:
operations/puppet : productioncodfw backup LVS: BGP sessions with both routers
operations/debs/pybal : masterSupport multiple BGP peerings

Event Timeline

BBlack created this task.Nov 8 2017, 6:53 PM
Restricted Application added a project: Operations. · View Herald TranscriptNov 8 2017, 6:53 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
BBlack added subscribers: mark, ema.Nov 8 2017, 6:55 PM
ema moved this task from Triage to LoadBalancer on the Traffic board.Nov 9 2017, 7:14 AM

Change 393066 had a related patch set uploaded (by Mark Bergsma; owner: Mark Bergsma):
[operations/debs/pybal@master] Support multiple BGP peerings

https://gerrit.wikimedia.org/r/393066

mark moved this task from Backlog to In Progress on the Pybal board.Nov 23 2017, 1:34 PM

Change 393066 merged by jenkins-bot:
[operations/debs/pybal@master] Support multiple BGP peerings

https://gerrit.wikimedia.org/r/393066

mark closed this task as Resolved.Mar 21 2018, 1:00 PM
mark claimed this task.

This is now in the latest PyBal releases, so resolving this ticket.

Change 536324 had a related patch set uploaded (by BBlack; owner: BBlack):
[operations/puppet@production] codfw backup LVS: BGP sessions with both routers

https://gerrit.wikimedia.org/r/536324

Change 536324 merged by BBlack:
[operations/puppet@production] codfw backup LVS: BGP sessions with both routers

https://gerrit.wikimedia.org/r/536324